Country Flag v1
GET /v1/country/flag
The Country Flag API provides SVG flag images for any country of interest. Over 250 countries are supported.
country string required
2-letter ISO-3166 alpha-2 country code (e.g. US, CA, FR). For countries in the United Kingdom, use GB for Great Britain, GB-ENG for England, GB-SCT for Scotland, GB-WLS for Wales, GB-NIR for Northern Ireland.
Authorization required
API Key associated with your account.
{
"success": true,
"data": {
"country": "US",
"square_image_url": "https:\/\/media.api.regionlookup.com\/flags\/1x1\/zRdd1l4aMnkj\/us.svg",
"rectangle_image_url": "https:\/\/media.api.regionlookup.com\/flags\/4x3\/BFzwCc2HdgPE\/us.svg"
}
}